Bug 239119 - (perl-Class-C3-XS) Review Request: perl-Class-C3-XS - XS speedups for Class::C3
Review Request: perl-Class-C3-XS - XS speedups for Class::C3
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/Class-C3-XS/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-04 20:29 EDT by Chris Weyl
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-09 17:26:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-05-04 20:29:06 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Class-C3-XS-0.02-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Class-C3-XS.spec

Description:
This contains XS performance enhancers for Class::C3 version 0.16 and
higher. The main Class::C3 package will use this package automatically if
it can find it. Do not use this package directly, use Class::C3 instead.
Comment 1 Jason Tibbitts 2007-05-08 19:28:24 EDT
Looks like a new version of this just came out today, but I don't think it will
bother the packaging.

I found it odd that the test suite is installed as documentation.  I don't
suppose it hurts anything and I suppose the code could be instructive.

* source files match upstream:
   7be7a6d69644dd2580d552b01ffcb388e82d203804090bb003b0728dcfbcb8d1  
   Class-C3-XS-0.02.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
O latest version is 0.03
* BuildRequires are proper (including new Perl bits)
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   XS.so()(64bit)
   perl(Class::C3::XS) = 0.02
   perl-Class-C3-XS = 0.02-1.fc7
  =
   perl >= 0:5.008_000
   perl(:MODULE_COMPAT_5.8.8)
   perl(XSLoader)
   perl(strict)
   perl(warnings)

* %check is present and all tests pass:
   All tests successful.
   Files=7, Tests=18,  0 wallclock secs ( 0.19 cusr +  0.09 csys =  0.28 CPU)
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
  (documentation is a bit larger than the rest of the package, but then we're 
  only talking about 20k).
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la droppings.

APPROVED
Comment 2 Chris Weyl 2007-05-09 10:03:23 EDT
New Package CVS Request
=======================
Package Name: perl-Class-C3-XS
Short Description: XS speedups for Class::C3
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 3 Chris Weyl 2007-05-09 17:26:34 EDT
Imported and building.  Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.